#!/bin/sh

# Maximum number of tests
MAX=100;

NUM=1;
DIFF3W="../src_devstudio/Debug/diff3w.exe"
DIFF3W="../src/diff3w.exe"
DIFF3W="../../diff3/cygwin_src/src/diff3.exe -E -am --allow-addition-deletion -w"

DIFF="diff";

# Loop through test
while test $NUM -le $MAX; do
  
	# Check for existence of files
	if test ! -f mine_${NUM}; then exit; fi
	if test ! -f old_${NUM}; then exit; fi
	if test ! -f yours_${NUM}; then exit; fi
	if test ! -f new_${NUM}; then exit; fi
	if test ! -f title_${NUM}; then exit; fi

 	# Echo header
        echo -n "Test $NUM: ";
	cat title_${NUM}

	# run program
	$DIFF3W mine_${NUM} old_${NUM} yours_${NUM} > test_${NUM}

	# diff results
	TMP=`$DIFF test_${NUM} new_${NUM} | wc -l`
        if test $TMP -eq 0; then
 	    echo "Passed";
	else
	    echo "Failed";
	    $DIFF test_${NUM} new_${NUM}
	fi
	

	# Increment counter
	NUM=`expr $NUM + 1`
done

